### Function

# Camel enriched_to_html

#### Declaration [src]

    gchar*
    camel_enriched_to_html (
      const gchar* in,
      guint32 flags
    )

#### Description [src]

Convert `in` from text/plain into text/enriched or text/richtext based on `flags`.

#### Parameters

`in`

  Type: `const gchar*`

  Input textual string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `CamelMimeFilterEnrichedFlags`

  Flags specifying filter behaviour.

#### Return value

Type: `gchar*`

A newly allocated string containing the enriched or richtext version of `in`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.